This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 432411

Summary: xen vif rate limit is not working
Product: [Fedora] Fedora Reporter: Itamar Reis Peixoto <itamar>
Component: xenAssignee: Xen Maintainance List <xen-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 8   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 00:58:32 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Itamar Reis Peixoto 2008-02-11 16:02:44 EST
Description of problem:

according with this changeset 

http://xenbits.xensource.com/xen-unstable.hg?rev/dadadf9aeee7

I am able to limit the speed of domU networking, but for me is not working

domU config

kernel = "/boot/Kernel-xenU"
ramdisk = "/boot/initrd-ext3-xenU"
memory = 2048
name = "emerson"
disk = [ 'phy:/dev/VolGroup00/emerson_root,xvda1,w',
'phy:/dev/VolGroup00/emerson_swap,xvda2,w']
root = "/dev/xvda1"
extra = "ro selinux=0 3 console=/dev/xvc0 "
vif = ['mac=00:16:3e:36:5b:a1, vifname=emerson, rate=128KB/s']
on_poweroff = 'restart'
on_reboot   = 'restart'
on_crash    = 'restart'
#on_poweroff = 'destroy'


vif section of xm list --long

 (device
        (vif
            (uuid aac1b1bb-ac66-d06d-96f1-f3da0cf360a4)
            (script vif-bridge)
            (rate 128KB/s)
            (mac 00:16:3e:36:5b:a1)
            (vifname emerson)
            (backend 0)
        )
    )



after this I am still able to push 5-10mb/s on domU 



Version-Release number of selected component (if applicable):


kernel-xen-2.6.21-2954.fc8 (64bits)
xen-libs-3.1.2-1.fc8 (64bits)
xen-3.1.2-1.fc8 (64bits)
Comment 1 Itamar Reis Peixoto 2008-02-11 16:06:37 EST
why the domU networking is not limited to 128KB/s rate ?
Comment 2 Daniel Berrange 2008-02-12 10:00:05 EST
FYI, our Xen maintenance team is 100% focused on porting Xen kernels to 2.6.24 +
paravirt_ops. This short-term intensive effort unfortunately means we do not
have resources to deeply investigate kernel bugs such as this ticket, in the
legacy F7/F8 kernel-xen. 

That said, if anyone can identify patches that will solve this bug we certainly
look at applying them in an update.

Otherwise I'd recommend trying out a combination of 'tc' and 'iptables' to
perform traffic shaping per-guest in the host networking stack.
Comment 3 Bug Zapper 2008-11-26 04:47:19 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 00:58:32 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.